%define themename ojuba
%define set_theme %{_sbindir}/plymouth-set-default-theme
Name:           plymouth-theme-%{themename}
Version:        0.1
Release:        1%{?dist}
Summary:        Plymouth Ojuba Theme
Summary(ar):    سمة أعجوبة الإقلاعية
License:        WAQFv2
URL:            http://ojuba.org
Source0:        ojuba-plymouth.tar.xz
BuildArch:      noarch
Requires:       plymouth-plugin-script
Requires:       plymouth-scripts

%description
Plymouth Ojuba Theme

%description -l ar
سمة أعجوبة الإقلاعية

%prep
%setup -q -n ojuba-plymouth

%install
themedir=$RPM_BUILD_ROOT/%{_datadir}/plymouth/themes/%{themename}
install -d -m 0755 $themedir
install -m 0644 * $themedir

%post
export LIB=%{_lib}
if [ $1 -eq 1 ]; then
    %{set_theme} %{themename}
fi

%postun
export LIB=%{_lib}
# if uninstalling, reset to boring meatless default theme
if [ $1 -eq 0 ]; then
    if [ "$(%{set_theme})" == "%{themename}" ]; then
        %{set_theme} --reset
        %{_libexecdir}/plymouth/plymouth-generate-initrd &>/dev/null
        source /etc/sysconfig/kernel &>/dev/null || :
        /sbin/new-kernel-pkg --package ${DEFAULTKERNEL:-kernel} --mkinitrd --depmod --dracut --update $(uname -r)
    fi
fi

%files
%dir %{_datadir}/plymouth/themes/%{themename}
%{_datadir}/plymouth/themes/%{themename}/*

%changelog
* Wed Feb 8 2017 Mosaab Alzoubi <moceap@hotmail.com> - 0.1-1
- Initial spec driven from korora one
